import java.io.*;
import java.nio.file.Files;
import java.nio.file.Paths;

import static java.lang.Character.*;

public class ROT13 {
    int difference;

    ROT13(Character cs, Character cf) {
        difference = (int) cf - (int) cs;
    }

    ROT13() {
        difference = 13;
    }


    public String crypt(String text) throws UnsupportedOperationException {

        StringBuffer result = new StringBuffer();

        for (int i = 0; i < text.length(); i++) {
            if (!Character.isLetter(text.charAt(i))) {
                result.append(text.charAt(i));
            } else if (Character.isUpperCase(text.charAt(i))) {
                char ch = (char) (((int) text.charAt(i) + difference - 65) % 26 + 65);
                result.append(ch);
            } else {
                char ch = (char) (((int) text.charAt(i) + difference - 97) % 26 + 97);
                result.append(ch);
            }
        }
        return result.toString();
    }


    public  String encrypt(String text) {
        return crypt(text);
    }

    public String decrypt(String text) {
        return crypt(text);
    }

    public  String rotate(String s, Character c) {
        int offset = (int) c - 65;
        int i = offset % s.length();
        return s.substring(i) + s.substring(0, i);
    }

    public String readFile(String filePath) throws IOException {
        return new String(Files.readAllBytes(Paths.get(filePath)));


        }
    public File encryptedFile() throws IOException {
        File file = new File("sonnet18.enc");
        FileWriter writer = new FileWriter(file);
        writer.write(encrypt(readFile("sonnet18.txt")));
        writer.close();

        return file;
    }



    }


















